// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
#pragma once

////////////////////
// #defines 
#define _WIN32_WINNT 0x500

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// The number below is seconds, not msec.
#define EXPERIMENT_TIME /*1680*/ 2419200 //= The number of seconds in 28 days.
#define ONE_DAY /*60//*/ 86400 // 1 Day = 24 hours * 60 min/hour * 60 sec/min

////////////////////

#define WIN32_LEAN_AND_MEAN		// Exclude rarely-used stuff from Windows headers
#include <tchar.h>

#define FAILURE 0
#define SUCCESS 1
#define UNKNOWN_REPLY 2

#define NOT_READY '0'
#define READY_TO_SEND '1'
#define SENT_OK '2'

#define UNKNOWN 0
#define OFF 1
#define ON 2

// TODO: reference additional headers your program requires here

#include <stdio.h>    // Used for printf() - Not required but avoids compiler warning.
#include <process.h>  // Used for multithreading - Not required but avoids compiler warning.
#include <windows.h>  // Used for TRUE and for Sleep() - Required for TRUE.  Not required for Sleep but avoids compiler warning.
#include <time.h>     // Used for time_t
#include <iphlpapi.h> // Used for MAC Address
#include <Iptypes.h>  // Used for MAC Address


#include <winsock.h>  // Used for sockets
#include <iostream>
#include <string.h>
#include <stdlib.h>
